Observability
Search recorded executions in a mandatory bounded time window.
Search recorded executions in a mandatory bounded time window. The request is scoped to the authenticated RevoEngine instance and operation policy.
POST
/
api
/
v1
/
observability
/
executions
/
query
Search recorded executions in a mandatory bounded time window.
curl --request POST \
--url https://api.revoengine.com/api/v1/observability/executions/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "<string>",
"to": "<string>",
"filter": {
"severities": [
"<string>"
],
"events": [
"<string>"
],
"nodeId": "<string>",
"services": [
"<string>"
],
"kinds": [
"<string>"
],
"outcomes": [],
"resourceIds": [
"<string>"
],
"actorIds": [
"<string>"
],
"operationId": "<string>",
"executionId": "<string>",
"rootExecutionId": "<string>",
"search": "<string>"
},
"pageSize": 100,
"investigationId": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '<string>',
to: '<string>',
filter: {
severities: ['<string>'],
events: ['<string>'],
nodeId: '<string>',
services: ['<string>'],
kinds: ['<string>'],
outcomes: [],
resourceIds: ['<string>'],
actorIds: ['<string>'],
operationId: '<string>',
executionId: '<string>',
rootExecutionId: '<string>',
search: '<string>'
},
pageSize: 100,
investigationId: '<string>'
})
};
fetch('https://api.revoengine.com/api/v1/observability/executions/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/observability/executions/query"
payload = {
"from": "<string>",
"to": "<string>",
"filter": {
"severities": ["<string>"],
"events": ["<string>"],
"nodeId": "<string>",
"services": ["<string>"],
"kinds": ["<string>"],
"outcomes": [],
"resourceIds": ["<string>"],
"actorIds": ["<string>"],
"operationId": "<string>",
"executionId": "<string>",
"rootExecutionId": "<string>",
"search": "<string>"
},
"pageSize": 100,
"investigationId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": [
{
"parentNodeId": "<string>",
"edgeEvidence": "OBSERVED",
"nodeId": "<string>",
"executionId": "<string>",
"rootExecutionId": "<string>",
"parentExecutionId": "<string>",
"operationId": "<string>",
"kind": "<string>",
"service": "<string>",
"resourceId": "<string>",
"resourceName": "<string>",
"actorId": "<string>",
"actorName": "<string>",
"actorKind": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"durationMs": 123,
"outcome": "SUCCESS",
"statusCode": 123,
"requestMethod": "<string>",
"requestPath": "<string>",
"componentId": "<string>",
"componentVersion": "<string>",
"logCount": 123,
"errorCount": 123,
"warningCount": 123,
"edgeKind": "<string>",
"retryParentId": "<string>",
"expandable": true,
"referenceId": "<string>",
"resourceType": "ENDPOINT",
"references": [
{
"type": "ENDPOINT",
"id": "<string>",
"name": "<string>",
"componentType": "<string>"
}
],
"evidenceSource": "DURABLE",
"retryParentNodeId": "<string>",
"relatedEdgeKind": "<string>",
"createdTime": "<string>",
"scheduledFor": "<string>",
"durableStatus": "<string>",
"attempt": 123
}
],
"nextCursor": "<string>",
"meta": {
"snapshotAt": "<string>",
"from": "<string>",
"to": "<string>",
"source": "NORMALIZED",
"coverage": "COMPLETE",
"warnings": [
"<string>"
],
"bytesProcessed": 123,
"maximumBytesBilled": 123,
"investigationId": "<string>",
"projectionWatermark": "<string>"
}
}Authorizations
Bearer JWT token or API Key (sk-*).
Body
application/json
UTC inclusive lower bound. Defaults to the preceding 24 hours.
UTC exclusive upper bound. Defaults to now. A single query may cover at most 7 days.
Show child attributes
Show child attributes
Required range:
1 <= x <= 200Opaque investigation budget identifier returned by this API.
Last modified on October 5, 2026
⌘I
Search recorded executions in a mandatory bounded time window.
curl --request POST \
--url https://api.revoengine.com/api/v1/observability/executions/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"from": "<string>",
"to": "<string>",
"filter": {
"severities": [
"<string>"
],
"events": [
"<string>"
],
"nodeId": "<string>",
"services": [
"<string>"
],
"kinds": [
"<string>"
],
"outcomes": [],
"resourceIds": [
"<string>"
],
"actorIds": [
"<string>"
],
"operationId": "<string>",
"executionId": "<string>",
"rootExecutionId": "<string>",
"search": "<string>"
},
"pageSize": 100,
"investigationId": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
from: '<string>',
to: '<string>',
filter: {
severities: ['<string>'],
events: ['<string>'],
nodeId: '<string>',
services: ['<string>'],
kinds: ['<string>'],
outcomes: [],
resourceIds: ['<string>'],
actorIds: ['<string>'],
operationId: '<string>',
executionId: '<string>',
rootExecutionId: '<string>',
search: '<string>'
},
pageSize: 100,
investigationId: '<string>'
})
};
fetch('https://api.revoengine.com/api/v1/observability/executions/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.revoengine.com/api/v1/observability/executions/query"
payload = {
"from": "<string>",
"to": "<string>",
"filter": {
"severities": ["<string>"],
"events": ["<string>"],
"nodeId": "<string>",
"services": ["<string>"],
"kinds": ["<string>"],
"outcomes": [],
"resourceIds": ["<string>"],
"actorIds": ["<string>"],
"operationId": "<string>",
"executionId": "<string>",
"rootExecutionId": "<string>",
"search": "<string>"
},
"pageSize": 100,
"investigationId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": [
{
"parentNodeId": "<string>",
"edgeEvidence": "OBSERVED",
"nodeId": "<string>",
"executionId": "<string>",
"rootExecutionId": "<string>",
"parentExecutionId": "<string>",
"operationId": "<string>",
"kind": "<string>",
"service": "<string>",
"resourceId": "<string>",
"resourceName": "<string>",
"actorId": "<string>",
"actorName": "<string>",
"actorKind": "<string>",
"startTime": "<string>",
"endTime": "<string>",
"durationMs": 123,
"outcome": "SUCCESS",
"statusCode": 123,
"requestMethod": "<string>",
"requestPath": "<string>",
"componentId": "<string>",
"componentVersion": "<string>",
"logCount": 123,
"errorCount": 123,
"warningCount": 123,
"edgeKind": "<string>",
"retryParentId": "<string>",
"expandable": true,
"referenceId": "<string>",
"resourceType": "ENDPOINT",
"references": [
{
"type": "ENDPOINT",
"id": "<string>",
"name": "<string>",
"componentType": "<string>"
}
],
"evidenceSource": "DURABLE",
"retryParentNodeId": "<string>",
"relatedEdgeKind": "<string>",
"createdTime": "<string>",
"scheduledFor": "<string>",
"durableStatus": "<string>",
"attempt": 123
}
],
"nextCursor": "<string>",
"meta": {
"snapshotAt": "<string>",
"from": "<string>",
"to": "<string>",
"source": "NORMALIZED",
"coverage": "COMPLETE",
"warnings": [
"<string>"
],
"bytesProcessed": 123,
"maximumBytesBilled": 123,
"investigationId": "<string>",
"projectionWatermark": "<string>"
}
}
